# Class: VisibleConsole

## VisibleConsole()

#### new VisibleConsole()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - visible-console.js, line 223

### Members

#### componentVersion

Component version

Source:
  - visible-console.js, line 180

#### componentVersion

Component version

Source:
  - visible-console.js, line 180

#### opts

Runtime configuration settings

Source:
  - visible-console.js, line 197

#### opts

Runtime configuration settings

Source:
  - visible-console.js, line 197

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - visible-console.js, line 185

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - visible-console.js, line 185

### Methods

#### attributeChangedCallback(attrib, oldVal, newVal)

Handle watched attributes NOTE: On initial startup, this is called for each watched attrib set in HTML - BEFORE connectedCallback is called. Attribute values can only ever be strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | The name of the attribute that is changing
`oldVal` | string | The old value of the attribute
`newVal` | string | The new value of the attribute

Source:
  - visible-console.js, line 265

#### attributeChangedCallback(attrib, oldVal, newVal)

Handle watched attributes NOTE: On initial startup, this is called for each watched attrib set in HTML - BEFORE connectedCallback is called. Attribute values can only ever be strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | The name of the attribute that is changing
`oldVal` | string | The old value of the attribute
`newVal` | string | The new value of the attribute

Source:
  - visible-console.js, line 265

#### checkType(input) → {string}

Find out the input JavaScript var type

##### Parameters:

Name | Type | Description
--- | --- | ---
`input` | * | The JavaScript var to type

Source:
  - visible-console.js, line 329

##### Returns:

The input type

Type
  string

#### checkType(input) → {string}

Find out the input JavaScript var type

##### Parameters:

Name | Type | Description
--- | --- | ---
`input` | * | The JavaScript var to type

Source:
  - visible-console.js, line 329

##### Returns:

The input type

Type
  string

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - visible-console.js, line 238

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - visible-console.js, line 238

#### createHTMLVisualizer(input) → {HTMLDivElement}

Creates an HTML visualisation of the input

##### Parameters:

Name | Type | Description
--- | --- | ---
`input` | * | Input data value to visualise

Source:
  - visible-console.js, line 345

##### Returns:

DIV element containing the visualisation

Type
  HTMLDivElement

#### createHTMLVisualizer(input) → {HTMLDivElement}

Creates an HTML visualisation of the input

##### Parameters:

Name | Type | Description
--- | --- | ---
`input` | * | Input data value to visualise

Source:
  - visible-console.js, line 345

##### Returns:

DIV element containing the visualisation

Type
  HTMLDivElement

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - visible-console.js, line 253

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - visible-console.js, line 253

#### newLog(type, args)

Creates a new HTML log entry

##### Parameters:

Name | Type | Description
--- | --- | ---
`type` | string | The log type
`args` | * | The arguments to log

Source:
  - visible-console.js, line 298

#### newLog(type, args)

Creates a new HTML log entry

##### Parameters:

Name | Type | Description
--- | --- | ---
`type` | string | The log type
`args` | * | The arguments to log

Source:
  - visible-console.js, line 298

#### redirectConsole()

Capture console.xxxx and write to the div NB: Cannot use bind here and so console output will have the wrong file/line number

Source:
  - visible-console.js, line 281

#### redirectConsole()

Capture console.xxxx and write to the div NB: Cannot use bind here and so console output will have the wrong file/line number

Source:
  - visible-console.js, line 281

## VisibleConsole()

#### new VisibleConsole()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - visible-console.js, line 223

### Members

#### componentVersion

Component version

Source:
  - visible-console.js, line 180

#### componentVersion

Component version

Source:
  - visible-console.js, line 180

#### opts

Runtime configuration settings

Source:
  - visible-console.js, line 197

#### opts

Runtime configuration settings

Source:
  - visible-console.js, line 197

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - visible-console.js, line 185

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - visible-console.js, line 185

### Methods

#### attributeChangedCallback(attrib, oldVal, newVal)

Handle watched attributes NOTE: On initial startup, this is called for each watched attrib set in HTML - BEFORE connectedCallback is called. Attribute values can only ever be strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | The name of the attribute that is changing
`oldVal` | string | The old value of the attribute
`newVal` | string | The new value of the attribute

Source:
  - visible-console.js, line 265

#### attributeChangedCallback(attrib, oldVal, newVal)

Handle watched attributes NOTE: On initial startup, this is called for each watched attrib set in HTML - BEFORE connectedCallback is called. Attribute values can only ever be strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | The name of the attribute that is changing
`oldVal` | string | The old value of the attribute
`newVal` | string | The new value of the attribute

Source:
  - visible-console.js, line 265

#### checkType(input) → {string}

Find out the input JavaScript var type

##### Parameters:

Name | Type | Description
--- | --- | ---
`input` | * | The JavaScript var to type

Source:
  - visible-console.js, line 329

##### Returns:

The input type

Type
  string

#### checkType(input) → {string}

Find out the input JavaScript var type

##### Parameters:

Name | Type | Description
--- | --- | ---
`input` | * | The JavaScript var to type

Source:
  - visible-console.js, line 329

##### Returns:

The input type

Type
  string

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - visible-console.js, line 238

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - visible-console.js, line 238

#### createHTMLVisualizer(input) → {HTMLDivElement}

Creates an HTML visualisation of the input

##### Parameters:

Name | Type | Description
--- | --- | ---
`input` | * | Input data value to visualise

Source:
  - visible-console.js, line 345

##### Returns:

DIV element containing the visualisation

Type
  HTMLDivElement

#### createHTMLVisualizer(input) → {HTMLDivElement}

Creates an HTML visualisation of the input

##### Parameters:

Name | Type | Description
--- | --- | ---
`input` | * | Input data value to visualise

Source:
  - visible-console.js, line 345

##### Returns:

DIV element containing the visualisation

Type
  HTMLDivElement

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - visible-console.js, line 253

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - visible-console.js, line 253

#### newLog(type, args)

Creates a new HTML log entry

##### Parameters:

Name | Type | Description
--- | --- | ---
`type` | string | The log type
`args` | * | The arguments to log

Source:
  - visible-console.js, line 298

#### newLog(type, args)

Creates a new HTML log entry

##### Parameters:

Name | Type | Description
--- | --- | ---
`type` | string | The log type
`args` | * | The arguments to log

Source:
  - visible-console.js, line 298

#### redirectConsole()

Capture console.xxxx and write to the div NB: Cannot use bind here and so console output will have the wrong file/line number

Source:
  - visible-console.js, line 281

#### redirectConsole()

Capture console.xxxx and write to the div NB: Cannot use bind here and so console output will have the wrong file/line number

Source:
  - visible-console.js, line 281